Redmine - Patch #40087

Rewrite ApplicationHelper#favicon_url method using image_url

2024-01-21 05:28 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.0.0

Description

This change deals with the comment "TODO: use #image_url introduced in Rails4" in ApplicationHelper#favicon_url.

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb

index a82163b76..4d87f6075 100644

-—— a/app/helpers/application_helper.rb

+++ b/app/helpers/application_helper.rb

@@ -1759,10 +1759,7 @@ module ApplicationHelper

# Returns the full URL to the favicon

def favicon_url
. # TODO: use #image_url introduced in Rails4
= path = favicon_path

= base = url_for(:controller => 'welcome', :action =>
= base.sub ($r{/+$}, '') + '/' + path.sub(%r{~/+}, '")
+ image_url (favicon_path)

end

def robot_exclusion_tag

'index',

conly_path => false)

Associated revisions

Revision 22618 - 2024-01-23 02:23 - Marius BALTEANU

Use image_url for favicon_url (#40087).

Patch by Go Maeda (@maeda).

History

#1 - 2024-01-23 02:23 - Marius BALTEANU
- Status changed from New to Closed

- Assignee set to Marius BALTEANU

Committed, thanks!
